import { ElementRef, OnInit } from '@angular/core';
import { MicroProcessFlowComponentInterface } from './injection-tokens';
import * as i0 from "@angular/core";
export declare class MicroProcessFlowFocusableItemDirective implements OnInit {
    elRef: ElementRef<HTMLElement>;
    private _microProcessFlow;
    /** @hidden */
    constructor(elRef: ElementRef<HTMLElement>, _microProcessFlow: MicroProcessFlowComponentInterface);
    /**
     * @hidden
     * Handler for focus events
     */
    onFocus(): void;
    /** @hidden */
    onBlur(): void;
    /** @hidden */
    ngOnInit(): void;
    /** Sets ability to focus on the element or not. */
    setFocusable(focusable?: boolean): void;
    /** Focuses on the element without scrolling it to the viewport */
    focus(options: FocusOptions): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MicroProcessFlowFocusableItemDirective, [null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MicroProcessFlowFocusableItemDirective, "[fdMicroProcessFlowFocusableItem], [fd-micro-process-flow-focusable-item]", never, {}, {}, never, never, true, never>;
}
